%define	prefix		/usr/X11R6
%define	name		WindowMaker
%define	version		0.62.1
%define	release		18mdk
%define Extras		extra-0.1
%define	wmcalclock	wmCalClock-1.25
%define	wmmail		WMMail.app-0.64

Summary:	A window manager for the X Window System
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Packager:	David BAUDENS <baudens@mandrakesoft.com>
Copyright:	GPL
Group:		Graphical desktop/Window Maker
URL:		http://www.windowmaker.org/ 

Source0:	WindowMaker-%{version}.tar.bz2
Source1:	WindowMaker-data.tar.bz2
Source2:	WindowMaker-%{wmcalclock}.tar.bz2
Source3:	WindowMaker-%{Extras}.tar.bz2
Source4:	WindowMaker-menumethod
Source5:	WindowMaker-menuicons.tar.bz2
Source6:	WindowMaker-WindowMaker
Source7:	WindowMaker-WMWindowAttributes
Source8:	WindowMaker-startwindowmaker
Source9:	WindowMaker-WMState
Source10:	WindowMaker-Terminal
Source11:	WindowMaker-WMMail.app-0.64.tar.bz2
Source12:	WindowMaker-WMMail-default-config
Source13:	WindowMaker-wmaker.inst

Patch0:		WindowMaker-wmaker.inst-mdk.patch.bz2
# Patch 1: to disable in WM 0.62.2
Patch1:		WindowMaker-0.62.1-8bit-fix.patch.bz2

Requires:	libPropList >= 0.10.1, /lib/cpp, mandrake_desk >= 1.0.3-9mdk, aterm
Obsoletes:	windowmaker, windowmaker-devel, windowmaker-libs
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	wmakerconf <= 2.5-1mdk
BuildRequires:	libPropList-devel XFree86-devel xpm-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel

%description
Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.


%package devel
Summary:	Static libraries and header files
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel

Window Maker is an X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

This packge contains static libraries and header files need for development.

%prep

%setup -a 1 -a 2 -a 3 -a 11

%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"
NLSDIR=%{prefix}/share/locale
LINGUAS="cs da de el es fi fr gl hr it ja ko nl no pl pt ro ru se sk tr zh_CN zh_TW.Big5"
GNUSTEP_LOCAL_ROOT='%{prefix}/lib/GNUstep'
CPP_PATH=/lib/cpp
export CFLAGS CPP_PATH NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=%{prefix} \
	    --sysconfdir=/etc/X11 \
	    --enable-newstyle \
	    --enable-sound  \
	    --enable-superfluous \
	    --with-pixmapdir=/usr/share/pixmaps \
	    --enable-gnome \
	    --enable-kde
	    
make

# wmCalClock (default clock)
cd $RPM_BUILD_DIR/%{name}-%{version}/wmCalClock-1.25/Src
make CFLAGS="$RPM_OPT_FLAGS"

# WMMail (default mail notifier)
cd $RPM_BUILD_DIR/%{name}-%{version}/WMMail.app-0.64
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make


%install
#find $RPM_BUILD_DIR -name Makefile -exec perl -p -i -e "s|^mandir.*|mandir = %{prefix}/man|" Makefile {} \;

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps


# Install wmCalClock (default clcok)
cd $RPM_BUILD_DIR/%{name}-%{version}/wmCalClock-1.25/Src
perl -p -i -e "s|^DESTDIR=.*|DESTDIR= $RPM_BUILD_ROOT%{prefix}|" Makefile
make install
cd $RPM_BUILD_ROOT%{prefix}/bin
mv wmCalClock wmCalClock-WindowMaker
cd -

# Install WMMail
cd $RPM_BUILD_DIR/%{name}-%{version}/WMMail.app-0.64
make install prefix=$RPM_BUILD_ROOT%{prefix}
cd -
# Default configuration for WMMail
install %{SOURCE12} $RPM_BUILD_ROOT/etc/X11/WindowMaker/WMMail

# And use them
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/X11/WindowMaker/WMState

# Config files: Auto installation
cp %{SOURCE8} $RPM_BUILD_ROOT%{prefix}/bin/startwindowmaker

install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/WindowMaker/WindowMaker
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/X11/WindowMaker/WMWindowAttributes

# Better terminal launched in Dock
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{prefix}/bin

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/menu-methods/%{name}
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
# Call Window Maker in other window managers
?package(%{name}): needs=wm section=Session/Windowmanagers title="Window Maker" command="/usr/X11R6/bin/wmaker" icon="WindowMaker-menuicon.xpm"
# Desktop
?package(%{name}): needs=wmaker section="Session/Window Maker" title="Desktops" command="WORKSPACE_MENU"
# Workspace
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Hide Others" command="HIDE_OTHERS"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Show All" command="SHOW_ALL"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Arrange Icons" command=ARRANGE_ICONS
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Refresh" command=REFRESH
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Lock" command="EXEC xlock -allowroot -usefirst"
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Save Session" command=SAVE_SESSION
?package(%{name}): needs=wmaker section="Session/Window Maker/Workspace" title="Clear Session" command=CLEAR_SESSION
# Themes
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Themes" command="OPEN_MENU -noext THEMES_DIR \$HOME/GNUstep/Library/WindowMaker/Themes WITH setstyle"
# Styles
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Styles" command="OPEN_MENU -noext STYLES_DIR \$HOME/GNUstep/Library/WindowMaker/Styles WITH setstyle"
# Backgrounds (solid)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Black" command="WS_BACK '(solid, black)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Blue" command="WS_BACK '(solid, \"#505075\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Indigo" command="WS_BACK '(solid, \"#243e6c\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Bleumarine" command="WS_BACK '(solid, \"#224477\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Purple" command="WS_BACK '(solid, \"#554466\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Wheat" command=" WS_BACK '(solid, \"wheat4\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Dark Gray" command="WS_BACK '(solid, \"#333340\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Solid" title="Wine" command="WS_BACK '(solid, \"#400020\")'"
# Background (Gradient)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sunset" command="WS_BACK '(mvgradient, deepskyblue4, black, deepskyblue4, tomato4)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Sky" command="WS_BACK '(vgradient, blue4, white)'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Blue Shades" command="WS_BACK '(vgradient, \"#7080a5\", \"#101020\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Indigo Shades" command="WS_BACK '(vgradient, \"#746ebc\", \"#242e4c\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Purple Shades" command="WS_BACK '(vgradient, \"#654c66\", \"#151426\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wheat Shades" command="WS_BACK '(vgradient, \"#a09060\", \"#302010\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Grey Shades" command="WS_BACK '(vgradient, \"#636380\", \"#131318\")'"
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background/Gradient" title="Wine Shades" command="WS_BACK '(vgradient, \"#600040\", \"#180010\")'"
# Background (Images)
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance/Background" title="Images" command="OPEN_MENU -noext BACKGROUNDS_DIR \$HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -t"
# Save theme and preference utility
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Save Theme" command="SHEXEC getstyle -t \$HOME/GNUstep/Library/WindowMaker/Themes/\"%a(Theme name,Enter file name:)\""
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Save IconSet" command="SHEXEC geticonset \$HOME/GNUstep/Library/WindowMaker/IconSets/\"%a(IconSet name,Enter file name:)\""
?package(%{name}): needs=wmaker section="Session/Window Maker/Appearance" title="Preferences Utility" command="EXEC /usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs"
# Informations
?package(%{name}): needs=wmaker section="Session/Window Maker/Informations" title="Info Panel" command="INFO_PANEL"
?package(%{name}): needs=wmaker section="Session/Window Maker/Informations" title="Legal" command="LEGAL_PANEL"
# Selection
?package(%{name}): needs=wmaker section="Session/Window Maker/Selection" title="Copy" command="SHEXEC echo \'%s\' | wxcopy"
?package(%{name}): needs=wmaker section="Session/Window Maker/Selection" title="Search in manual" command="SHEXEC MANUAL_SEARCH(%s)"
# Exit and restart
?package(%{name}): needs=wmaker section="Exit" title="Restart" command="RESTART"
?package(%{name}): needs=wmaker section="Exit" title="Exit" command="EXIT"
EOF

rm -f $RPM_BUILD_ROOT%{prefix}/share/WindowMaker/menu.*

# icons
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
tar yxvf %{SOURCE5} -C $RPM_BUILD_ROOT/usr/share/icons/

# Some documentation for WMCalClock
cd $RPM_BUILD_DIR/%{name}-%{version}
install -d 755 $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/BUGS $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/CHANGES $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/COPYING $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/HINTS $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/README $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}
install -m 644 %{wmcalclock}/TODO $RPM_BUILD_ROOT%{_docdir}/%{wmcalclock}

# Some documentation for WMMail
cd $RPM_BUILD_DIR/%{name}-%{version}
install -d 755 $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/AUTHORS $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/doc/Help.txt $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/NEWS $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
install -m 644 %{wmmail}/README $RPM_BUILD_ROOT%{_docdir}/%{wmmail}
# And the man page
install -m 644 %{wmmail}/doc/wmmail.man $RPM_BUILD_ROOT/%{prefix}/man/man1/wmmail.man


# Make auto-login happy
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT%{prefix}/bin/wmaker.inst

%find_lang %{name}

# wmsession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/03WindowMaker
NAME=WindowMaker
ICON=wmaker-wmsession.xpm
EXEC=/usr/X11R6/bin/startwindowmaker
DESC=Window manager which emulates the look and feel of the NeXTSTEP (TM) graphical user interface
SCRIPT:
exec /usr/X11R6/bin/startwindowmaker
EOF


%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}
%{make_session}
/sbin/ldconfig

%postun
%{clean_menus}
%{make_session}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS ChangeLog COPYING COPYING.WTFPL FAQ FAQ.I18N MIRRORS NEWS README* TODO
%doc %{_docdir}/%{wmcalclock}
%doc %{_docdir}/%{wmmail}
%config(noreplace) /etc/X11/WindowMaker
%config(noreplace) /etc/menu-methods/WindowMaker
%config(noreplace) /etc/X11/wmsession.d/*
%{prefix}/bin/*
%{prefix}/lib/GNUstep/Apps/WPrefs.app
%{prefix}/lib/GNUstep/Apps/WMMail.app
%{prefix}/man/man1/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/WindowMaker
%{prefix}/share/WINGs
/usr/lib/menu/WindowMaker
/usr/share/icons/WindowMaker-menuicon.xpm
/usr/share/icons/mini/WindowMaker-menuicon.xpm
/usr/share/pixmaps/*
# These libraries need to be in this package
%{prefix}/lib/libwraster.so
%{prefix}/lib/libwraster.so.2
%{prefix}/lib/libwraster.so.2.0.0

%files devel
%defattr(-,root,root)
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/include/*

%changelog
* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-18mdk
- Make auto-login happy

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-17mdk
- Fix wmsession

* Wed Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-16mdk
- Fix "I kill the X server"

* Sun Aug 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-15mdk
- New clock (wmCalClock)
- New config files
- Modify Window Maker specific menu entries
- Spec clean up
- Patch for wmsetbg
- Add Packager tag
- New wmsession support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-14mdk
- automatically added BuildRequires

* Fri May 12 2000 dam's <damien@mandrakesoft.com> 0.62.1-13mdk
- corrected workspace menus.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.62.1-12mdk
- corrected wmaker.inst text script

* Tue May 09 2000 dam's <damien@mandrakesoft.com> 0.62.1-11mdk
- corrected wmaker test script.

* Mon May  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.62.1-10mdk
- remove asclock which conflicts with AfterStep-APPS
- added url

* Tue May  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-9mdk
- really add menu support

* Fri Apr 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-8mdk
- added fndSession call

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wmconfig crash

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-6mdk
- Requires mandrake_desk >= 1.0.3-9mdk

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-5mdk
- Add the binary :/ and put it in the right PATH

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-4mdk
- Relocate in /usr/X11R6
- Menu support
- Fix crazy obsoletes

* Thu Apr 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-3mdk
- fix a very old bug : when ~/GNUstep doesn't exists, exec wmaker.inst
  else the end user won't be able to launch WindowMaker

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-2mdk
- Split in 2 packages (devel & normal)
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.0-1mdk
- 0.62.0
- Release for impatients
- Use new Groups
- Use %%{_tmppath} for BuildRoot

* Sun Mar 05 2000 David BAUDENS 0.61.1-17mdk
- Fix duplicate screen saver
- French translations and adapatations

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-16mdk: new icon
- 0.61.1-15mdk: back to /usr for some directories 
- 0.61.1-14mdk: fix PATH in /etc/X11/WindowMaker 
- 0.61.1-13mdk: fix a typo in WMDrake
- 0.61.1-12mdk: requires mandrake_desk >= 1.0.1-11mdk

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-11mdk: new icon
- 0.61.1-10mdk: better MandrakeSoft customization

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Enable WMDrake
- Fix typos

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix WMDrake

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Cleanup spec
- Back to original sources
- (Re) Fix cpp problem

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in wmdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial wmdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61
- Add some patches from package of Ryan Weaver <ryanw@infohwy.com>

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Various patch syncronised with package from Ryan Weaver <ryanw@infohwy.com>
- Added diff from cvs 'WindowMaker-0.61.0-19990922cvs.diff.bz2'
- fixes seg fault at exit among other things including the following.
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA
- WindowMaker-0.61.0-po.patch.bz2

* Tue Sep 21 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.61.0
- fix compilation
- redo Mandrake adaptions

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>
- fix a typo

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix include problem with /usr/bin/cpp (need /lib/cpp).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake Adaptations.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
